classification
Title: 2to3 docs should mention setup.py fixes required to install compatible packages in Python 3
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, docs@python, techtonik, tshepang
Priority: normal Keywords:

Created on 2012-07-22 08:14 by techtonik, last changed 2014-08-30 01:44 by terry.reedy. This issue is now closed.

Messages (2)
msg166108 - (view) Author: anatoly techtonik (techtonik) Date: 2012-07-22 08:14
http://docs.python.org/py3k/library/2to3.html

   should mention the practice of running 2to3 in setup.py for codebase compatible with both Python 2 and Python 3.
msg222681 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-10 18:05
I disagree with this on two grounds.  First 2to3 can be run by anybody needing it, not just from setup.py.  Second the recommended mechanism for writing new code is to use libraries such as six so that the one code base can run on 2 and 3.
History
Date User Action Args
2014-08-30 01:44:21terry.reedysetstatus: open -> closed
resolution: wont fix
stage: resolved
2014-07-10 18:05:28BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222681
2012-07-27 18:54:19tshepangsetnosy: + tshepang
2012-07-22 08:14:26techtonikcreate